aboutsummaryrefslogtreecommitdiffstats
path: root/extra/util-linux-ng/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-20 13:55:40 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-20 13:55:40 +0000
commit6c378b77f075c03a04472fbbf2003779167c3055 (patch)
treedb8791988594ad1191ed9561716fda2e1e299771 /extra/util-linux-ng/APKBUILD
parentc08adf6896312a22de8fbc050c5d74d32166a98d (diff)
downloadaports-6c378b77f075c03a04472fbbf2003779167c3055.tar.gz
aports-6c378b77f075c03a04472fbbf2003779167c3055.tar.bz2
aports-6c378b77f075c03a04472fbbf2003779167c3055.tar.xz
extra/util-linux-ng: new aport
Diffstat (limited to 'extra/util-linux-ng/APKBUILD')
-rw-r--r--extra/util-linux-ng/APKBUILD34
1 files changed, 34 insertions, 0 deletions
diff --git a/extra/util-linux-ng/APKBUILD b/extra/util-linux-ng/APKBUILD
new file mode 100644
index 0000000000..e74f369021
--- /dev/null
+++ b/extra/util-linux-ng/APKBUILD
@@ -0,0 +1,34 @@
+# Contributor: Leonardo Arena <rnalrd@gmail.com>
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=util-linux-ng
+pkgver=2.14.1
+pkgrel=0
+pkgdesc="Random collection of Linux utilities"
+arch=""
+url="http://kernel.org/~kzak/util-linux-ng/"
+license="GPL-2 GPL Public Domain"
+depends="uclibc libuuid"
+makedepends="e2fsprogs-dev"
+install=
+source="http://www.kernel.org/pub/linux/utils/util-linux-ng/v2.14/$pkgname-$pkgver.tar.gz"
+subpackages="$pkgname-doc"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ sed -e 's/versionsort/alphasort/g'\
+ -e 's/strverscmp.h/dirent.h/g' \
+ -i mount/lomount.c
+
+ ./configure --prefix=/usr \
+ --without-ncurses \
+ --disable-init \
+ --disable-nls \
+ --disable-kill \
+ --without-pam
+
+ make || return 1
+ make install DESTDIR=$pkgdir
+}
+
+md5sums="8ff7f4441089eafec7152a92dbb42e18 util-linux-ng-2.14.2-rc1.tar.gz"
+md5sums="17bafd53cf242accd716d2306a2c6582 util-linux-ng-2.14.1.tar.gz"